ome-xml 5.2.3

Classes | Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
ome::xml::model::Annotation Class Reference

Annotation model object. More...

`#include <ome/xml/model/Annotation.h>`

Inheritance diagram for ome::xml::model::Annotation:
[legend]
Collaboration diagram for ome::xml::model::Annotation:
[legend]

## Classes
class | Impl
| Private implementation details of Annotation model object. More...

## Public Member Functions
| Annotation ()
| Default constructor.
| Annotation (const Annotation &copy)
| Copy constructor. More...
virtual | ~Annotation ()
| Destructor.
bool | validElementName (const std::string &name) const
| Check if a given element name is valid for processing by this model object. More...
virtual void | update (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
ome::compat::shared_ptr< std::string > | getNamespace ()
| Get the Namespace property. More...
const ome::compat::shared_ptr< std::string > | getNamespace () const
| Get the Namespace property. More...
void | setNamespace (ome::compat::shared_ptr< std::string > &namespace_)
| Set the Namespace property. More...
const std::string & | getID () const
| Get the ID property. More...
void | setID (const std::string &id)
| Set the ID property. More...
ome::compat::shared_ptr< std::string > | getAnnotator ()
| Get the Annotator property. More...
const ome::compat::shared_ptr< std::string > | getAnnotator () const
| Get the Annotator property. More...
void | setAnnotator (ome::compat::shared_ptr< std::string > &annotator)
| Set the Annotator property. More...
ome::compat::shared_ptr< std::string > | getDescription ()
| Get the Description property. More...
const ome::compat::shared_ptr< std::string > | getDescription () const
| Get the Description property. More...
void | setDescription (ome::compat::shared_ptr< std::string > &description)
| Set the Description property. More...
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedAnnotationList () const
| Get size of linked Annotation list. More...
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type | getLinkedAnnotationList () const
| Get the linked Annotation list. More...
const ome::compat::weak_ptr< ome::xml::model::Annotation > & | getLinkedAnnotation (OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Annotation. More...
const ome::compat::weak_ptr< ome::xml::model::Annotation > & | setLinkedAnnotation (OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Annotation > &annotation)
| Set linked Annotation. More...
bool | linkAnnotation (const ome::compat::shared_ptr< ome::xml::model::Annotation > &annotation)
| Link Annotation. More...
bool | unlinkAnnotation (const ome::compat::shared_ptr< ome::xml::model::Annotation > &annotation)
| Unlink Annotation. More...
OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedImageList () const
| Get size of linked Image list. More...
OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type | getLinkedImageList () const
| Get the linked Image list. More...
const ome::compat::weak_ptr< ome::xml::model::Image > & | getLinkedImage (OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Image. More...
const ome::compat::weak_ptr< ome::xml::model::Image > & | setLinkedImage (OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Image > &image_BackReference)
| Set linked Image. More...
bool | linkImage (const ome::compat::shared_ptr< ome::xml::model::Image > &image_BackReference)
| Link Image. More...
bool | unlinkImage (const ome::compat::shared_ptr< ome::xml::model::Image > &image_BackReference)
| Unlink Image. More...
OMEModelObject::indexed_container< ome::xml::model::Plane, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedPlaneList () const
| Get size of linked Plane list. More...
OMEModelObject::indexed_container< ome::xml::model::Plane, ome::compat::weak_ptr >::type | getLinkedPlaneList () const
| Get the linked Plane list. More...
const ome::compat::weak_ptr< ome::xml::model::Plane > & | getLinkedPlane (OMEModelObject::indexed_container< ome::xml::model::Plane, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Plane. More...
const ome::compat::weak_ptr< ome::xml::model::Plane > & | setLinkedPlane (OMEModelObject::indexed_container< ome::xml::model::Plane, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Plane > &plane_BackReference)
| Set linked Plane. More...
bool | linkPlane (const ome::compat::shared_ptr< ome::xml::model::Plane > &plane_BackReference)
| Link Plane. More...
bool | unlinkPlane (const ome::compat::shared_ptr< ome::xml::model::Plane > &plane_BackReference)
| Unlink Plane. More...
OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedChannelList () const
| Get size of linked Channel list. More...
OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type | getLinkedChannelList () const
| Get the linked Channel list. More...
const ome::compat::weak_ptr< ome::xml::model::Channel > & | getLinkedChannel (OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Channel. More...
const ome::compat::weak_ptr< ome::xml::model::Channel > & | setLinkedChannel (OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Channel > &channel_BackReference)
| Set linked Channel. More...
bool | linkChannel (const ome::compat::shared_ptr< ome::xml::model::Channel > &channel_BackReference)
| Link Channel. More...
bool | unlinkChannel (const ome::compat::shared_ptr< ome::xml::model::Channel > &channel_BackReference)
| Unlink Channel. More...
OMEModelObject::indexed_container< ome::xml::model::Instrument, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedInstrumentList () const
| Get size of linked Instrument list. More...
OMEModelObject::indexed_container< ome::xml::model::Instrument, ome::compat::weak_ptr >::type | getLinkedInstrumentList () const
| Get the linked Instrument list. More...
const ome::compat::weak_ptr< ome::xml::model::Instrument > & | getLinkedInstrument (OMEModelObject::indexed_container< ome::xml::model::Instrument, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Instrument. More...
const ome::compat::weak_ptr< ome::xml::model::Instrument > & | setLinkedInstrument (OMEModelObject::indexed_container< ome::xml::model::Instrument, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Instrument > &instrument_BackReference)
| Set linked Instrument. More...
bool | linkInstrument (const ome::compat::shared_ptr< ome::xml::model::Instrument > &instrument_BackReference)
| Link Instrument. More...
bool | unlinkInstrument (const ome::compat::shared_ptr< ome::xml::model::Instrument > &instrument_BackReference)
| Unlink Instrument. More...
OMEModelObject::indexed_container< ome::xml::model::LightSource, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedLightSourceList () const
| Get size of linked LightSource list. More...
OMEModelObject::indexed_container< ome::xml::model::LightSource, ome::compat::weak_ptr >::type | getLinkedLightSourceList () const
| Get the linked LightSource list. More...
const ome::compat::weak_ptr< ome::xml::model::LightSource > & | getLinkedLightSource (OMEModelObject::indexed_container< ome::xml::model::LightSource, ome::compat::weak_ptr >::type::size_type index) const
| Get linked LightSource. More...
const ome::compat::weak_ptr< ome::xml::model::LightSource > & | setLinkedLightSource (OMEModelObject::indexed_container< ome::xml::model::LightSource, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::LightSource > &lightSource_BackReference)
| Set linked LightSource. More...
bool | linkLightSource (const ome::compat::shared_ptr< ome::xml::model::LightSource > &lightSource_BackReference)
| Link LightSource. More...
bool | unlinkLightSource (const ome::compat::shared_ptr< ome::xml::model::LightSource > &lightSource_BackReference)
| Unlink LightSource. More...
OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedProjectList () const
| Get size of linked Project list. More...
OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type | getLinkedProjectList () const
| Get the linked Project list. More...
const ome::compat::weak_ptr< ome::xml::model::Project > & | getLinkedProject (OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Project. More...
const ome::compat::weak_ptr< ome::xml::model::Project > & | setLinkedProject (OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Project > &project_BackReference)
| Set linked Project. More...
bool | linkProject (const ome::compat::shared_ptr< ome::xml::model::Project > &project_BackReference)
| Link Project. More...
bool | unlinkProject (const ome::compat::shared_ptr< ome::xml::model::Project > &project_BackReference)
| Unlink Project. More...
OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedExperimenterGroupList () const
| Get size of linked ExperimenterGroup list. More...
OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type | getLinkedExperimenterGroupList () const
| Get the linked ExperimenterGroup list. More...
const ome::compat::weak_ptr< ome::xml::model::ExperimenterGroup > & | getLinkedExperimenterGroup (OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type::size_type index) const
| Get linked ExperimenterGroup. More...
const ome::compat::weak_ptr< ome::xml::model::ExperimenterGroup > & | setLinkedExperimenterGroup (OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > &experimenterGroup_BackReference)
| Set linked ExperimenterGroup. More...
bool | linkExperimenterGroup (const ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > &experimenterGroup_BackReference)
| Link ExperimenterGroup. More...
bool | unlinkExperimenterGroup (const ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > &experimenterGroup_BackReference)
| Unlink ExperimenterGroup. More...
OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedDatasetList () const
| Get size of linked Dataset list. More...
OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type | getLinkedDatasetList () const
| Get the linked Dataset list. More...
const ome::compat::weak_ptr< ome::xml::model::Dataset > & | getLinkedDataset (OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Dataset. More...
const ome::compat::weak_ptr< ome::xml::model::Dataset > & | setLinkedDataset (OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Dataset > &dataset_BackReference)
| Set linked Dataset. More...
bool | linkDataset (const ome::compat::shared_ptr< ome::xml::model::Dataset > &dataset_BackReference)
| Link Dataset. More...
bool | unlinkDataset (const ome::compat::shared_ptr< ome::xml::model::Dataset > &dataset_BackReference)
| Unlink Dataset. More...
OMEModelObject::indexed_container< ome::xml::model::Experimenter, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedExperimenterList () const
| Get size of linked Experimenter list. More...
OMEModelObject::indexed_container< ome::xml::model::Experimenter, ome::compat::weak_ptr >::type | getLinkedExperimenterList () const
| Get the linked Experimenter list. More...
const ome::compat::weak_ptr< ome::xml::model::Experimenter > & | getLinkedExperimenter (OMEModelObject::indexed_container< ome::xml::model::Experimenter, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Experimenter. More...
const ome::compat::weak_ptr< ome::xml::model::Experimenter > & | setLinkedExperimenter (OMEModelObject::indexed_container< ome::xml::model::Experimenter, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Experimenter > &experimenter_BackReference)
| Set linked Experimenter. More...
bool | linkExperimenter (const ome::compat::shared_ptr< ome::xml::model::Experimenter > &experimenter_BackReference)
| Link Experimenter. More...
bool | unlinkExperimenter (const ome::compat::shared_ptr< ome::xml::model::Experimenter > &experimenter_BackReference)
| Unlink Experimenter. More...
OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedFolderList () const
| Get size of linked Folder list. More...
OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type | getLinkedFolderList () const
| Get the linked Folder list. More...
const ome::compat::weak_ptr< ome::xml::model::Folder > & | getLinkedFolder (OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Folder. More...
const ome::compat::weak_ptr< ome::xml::model::Folder > & | setLinkedFolder (OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Folder > &folder_BackReference)
| Set linked Folder. More...
bool | linkFolder (const ome::compat::shared_ptr< ome::xml::model::Folder > &folder_BackReference)
| Link Folder. More...
bool | unlinkFolder (const ome::compat::shared_ptr< ome::xml::model::Folder > &folder_BackReference)
| Unlink Folder. More...
OMEModelObject::indexed_container< ome::xml::model::Objective, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedObjectiveList () const
| Get size of linked Objective list. More...
OMEModelObject::indexed_container< ome::xml::model::Objective, ome::compat::weak_ptr >::type | getLinkedObjectiveList () const
| Get the linked Objective list. More...
const ome::compat::weak_ptr< ome::xml::model::Objective > & | getLinkedObjective (OMEModelObject::indexed_container< ome::xml::model::Objective, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Objective. More...
const ome::compat::weak_ptr< ome::xml::model::Objective > & | setLinkedObjective (OMEModelObject::indexed_container< ome::xml::model::Objective, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Objective > &objective_BackReference)
| Set linked Objective. More...
bool | linkObjective (const ome::compat::shared_ptr< ome::xml::model::Objective > &objective_BackReference)
| Link Objective. More...
bool | unlinkObjective (const ome::compat::shared_ptr< ome::xml::model::Objective > &objective_BackReference)
| Unlink Objective. More...
OMEModelObject::indexed_container< ome::xml::model::Detector, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedDetectorList () const
| Get size of linked Detector list. More...
OMEModelObject::indexed_container< ome::xml::model::Detector, ome::compat::weak_ptr >::type | getLinkedDetectorList () const
| Get the linked Detector list. More...
const ome::compat::weak_ptr< ome::xml::model::Detector > & | getLinkedDetector (OMEModelObject::indexed_container< ome::xml::model::Detector, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Detector. More...
const ome::compat::weak_ptr< ome::xml::model::Detector > & | setLinkedDetector (OMEModelObject::indexed_container< ome::xml::model::Detector, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Detector > &detector_BackReference)
| Set linked Detector. More...
bool | linkDetector (const ome::compat::shared_ptr< ome::xml::model::Detector > &detector_BackReference)
| Link Detector. More...
bool | unlinkDetector (const ome::compat::shared_ptr< ome::xml::model::Detector > &detector_BackReference)
| Unlink Detector. More...
OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedFilterList () const
| Get size of linked Filter list. More...
OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type | getLinkedFilterList () const
| Get the linked Filter list. More...
const ome::compat::weak_ptr< ome::xml::model::Filter > & | getLinkedFilter (OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Filter. More...
const ome::compat::weak_ptr< ome::xml::model::Filter > & | setLinkedFilter (OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Filter > &filter_BackReference)
| Set linked Filter. More...
bool | linkFilter (const ome::compat::shared_ptr< ome::xml::model::Filter > &filter_BackReference)
| Link Filter. More...
bool | unlinkFilter (const ome::compat::shared_ptr< ome::xml::model::Filter > &filter_BackReference)
| Unlink Filter. More...
OMEModelObject::indexed_container< ome::xml::model::Dichroic, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedDichroicList () const
| Get size of linked Dichroic list. More...
OMEModelObject::indexed_container< ome::xml::model::Dichroic, ome::compat::weak_ptr >::type | getLinkedDichroicList () const
| Get the linked Dichroic list. More...
const ome::compat::weak_ptr< ome::xml::model::Dichroic > & | getLinkedDichroic (OMEModelObject::indexed_container< ome::xml::model::Dichroic, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Dichroic. More...
const ome::compat::weak_ptr< ome::xml::model::Dichroic > & | setLinkedDichroic (OMEModelObject::indexed_container< ome::xml::model::Dichroic, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Dichroic > &dichroic_BackReference)
| Set linked Dichroic. More...
bool | linkDichroic (const ome::compat::shared_ptr< ome::xml::model::Dichroic > &dichroic_BackReference)
| Link Dichroic. More...
bool | unlinkDichroic (const ome::compat::shared_ptr< ome::xml::model::Dichroic > &dichroic_BackReference)
| Unlink Dichroic. More...
OMEModelObject::indexed_container< ome::xml::model::LightPath, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedLightPathList () const
| Get size of linked LightPath list. More...
OMEModelObject::indexed_container< ome::xml::model::LightPath, ome::compat::weak_ptr >::type | getLinkedLightPathList () const
| Get the linked LightPath list. More...
const ome::compat::weak_ptr< ome::xml::model::LightPath > & | getLinkedLightPath (OMEModelObject::indexed_container< ome::xml::model::LightPath, ome::compat::weak_ptr >::type::size_type index) const
| Get linked LightPath. More...
const ome::compat::weak_ptr< ome::xml::model::LightPath > & | setLinkedLightPath (OMEModelObject::indexed_container< ome::xml::model::LightPath, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::LightPath > &lightPath_BackReference)
| Set linked LightPath. More...
bool | linkLightPath (const ome::compat::shared_ptr< ome::xml::model::LightPath > &lightPath_BackReference)
| Link LightPath. More...
bool | unlinkLightPath (const ome::compat::shared_ptr< ome::xml::model::LightPath > &lightPath_BackReference)
| Unlink LightPath. More...
OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedROIList () const
| Get size of linked ROI list. More...
OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type | getLinkedROIList () const
| Get the linked ROI list. More...
const ome::compat::weak_ptr< ome::xml::model::ROI > & | getLinkedROI (OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type::size_type index) const
| Get linked ROI. More...
const ome::compat::weak_ptr< ome::xml::model::ROI > & | setLinkedROI (OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::ROI > &roi_BackReference)
| Set linked ROI. More...
bool | linkROI (const ome::compat::shared_ptr< ome::xml::model::ROI > &roi_BackReference)
| Link ROI. More...
bool | unlinkROI (const ome::compat::shared_ptr< ome::xml::model::ROI > &roi_BackReference)
| Unlink ROI. More...
OMEModelObject::indexed_container< ome::xml::model::Shape, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedShapeList () const
| Get size of linked Shape list. More...
OMEModelObject::indexed_container< ome::xml::model::Shape, ome::compat::weak_ptr >::type | getLinkedShapeList () const
| Get the linked Shape list. More...
const ome::compat::weak_ptr< ome::xml::model::Shape > & | getLinkedShape (OMEModelObject::indexed_container< ome::xml::model::Shape, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Shape. More...
const ome::compat::weak_ptr< ome::xml::model::Shape > & | setLinkedShape (OMEModelObject::indexed_container< ome::xml::model::Shape, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Shape > &shape_BackReference)
| Set linked Shape. More...
bool | linkShape (const ome::compat::shared_ptr< ome::xml::model::Shape > &shape_BackReference)
| Link Shape. More...
bool | unlinkShape (const ome::compat::shared_ptr< ome::xml::model::Shape > &shape_BackReference)
| Unlink Shape. More...
OMEModelObject::indexed_container< ome::xml::model::Plate, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedPlateList () const
| Get size of linked Plate list. More...
OMEModelObject::indexed_container< ome::xml::model::Plate, ome::compat::weak_ptr >::type | getLinkedPlateList () const
| Get the linked Plate list. More...
const ome::compat::weak_ptr< ome::xml::model::Plate > & | getLinkedPlate (OMEModelObject::indexed_container< ome::xml::model::Plate, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Plate. More...
const ome::compat::weak_ptr< ome::xml::model::Plate > & | setLinkedPlate (OMEModelObject::indexed_container< ome::xml::model::Plate, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Plate > &plate_BackReference)
| Set linked Plate. More...
bool | linkPlate (const ome::compat::shared_ptr< ome::xml::model::Plate > &plate_BackReference)
| Link Plate. More...
bool | unlinkPlate (const ome::compat::shared_ptr< ome::xml::model::Plate > &plate_BackReference)
| Unlink Plate. More...
OMEModelObject::indexed_container< ome::xml::model::Reagent, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedReagentList () const
| Get size of linked Reagent list. More...
OMEModelObject::indexed_container< ome::xml::model::Reagent, ome::compat::weak_ptr >::type | getLinkedReagentList () const
| Get the linked Reagent list. More...
const ome::compat::weak_ptr< ome::xml::model::Reagent > & | getLinkedReagent (OMEModelObject::indexed_container< ome::xml::model::Reagent, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Reagent. More...
const ome::compat::weak_ptr< ome::xml::model::Reagent > & | setLinkedReagent (OMEModelObject::indexed_container< ome::xml::model::Reagent, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Reagent > &reagent_BackReference)
| Set linked Reagent. More...
bool | linkReagent (const ome::compat::shared_ptr< ome::xml::model::Reagent > &reagent_BackReference)
| Link Reagent. More...
bool | unlinkReagent (const ome::compat::shared_ptr< ome::xml::model::Reagent > &reagent_BackReference)
| Unlink Reagent. More...
OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedScreenList () const
| Get size of linked Screen list. More...
OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type | getLinkedScreenList () const
| Get the linked Screen list. More...
const ome::compat::weak_ptr< ome::xml::model::Screen > & | getLinkedScreen (OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Screen. More...
const ome::compat::weak_ptr< ome::xml::model::Screen > & | setLinkedScreen (OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Screen > &screen_BackReference)
| Set linked Screen. More...
bool | linkScreen (const ome::compat::shared_ptr< ome::xml::model::Screen > &screen_BackReference)
| Link Screen. More...
bool | unlinkScreen (const ome::compat::shared_ptr< ome::xml::model::Screen > &screen_BackReference)
| Unlink Screen. More...
OMEModelObject::indexed_container< ome::xml::model::PlateAcquisition, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedPlateAcquisitionList () const
| Get size of linked PlateAcquisition list. More...
OMEModelObject::indexed_container< ome::xml::model::PlateAcquisition, ome::compat::weak_ptr >::type | getLinkedPlateAcquisitionList () const
| Get the linked PlateAcquisition list. More...
const ome::compat::weak_ptr< ome::xml::model::PlateAcquisition > & | getLinkedPlateAcquisition (OMEModelObject::indexed_container< ome::xml::model::PlateAcquisition, ome::compat::weak_ptr >::type::size_type index) const
| Get linked PlateAcquisition. More...
const ome::compat::weak_ptr< ome::xml::model::PlateAcquisition > & | setLinkedPlateAcquisition (OMEModelObject::indexed_container< ome::xml::model::PlateAcquisition, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > &plateAcquisition_BackReference)
| Set linked PlateAcquisition. More...
bool | linkPlateAcquisition (const ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > &plateAcquisition_BackReference)
| Link PlateAcquisition. More...
bool | unlinkPlateAcquisition (const ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > &plateAcquisition_BackReference)
| Unlink PlateAcquisition. More...
OMEModelObject::indexed_container< ome::xml::model::Well, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedWellList () const
| Get size of linked Well list. More...
OMEModelObject::indexed_container< ome::xml::model::Well, ome::compat::weak_ptr >::type | getLinkedWellList () const
| Get the linked Well list. More...
const ome::compat::weak_ptr< ome::xml::model::Well > & | getLinkedWell (OMEModelObject::indexed_container< ome::xml::model::Well, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Well. More...
const ome::compat::weak_ptr< ome::xml::model::Well > & | setLinkedWell (OMEModelObject::indexed_container< ome::xml::model::Well, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Well > &well_BackReference)
| Set linked Well. More...
bool | linkWell (const ome::compat::shared_ptr< ome::xml::model::Well > &well_BackReference)
| Link Well. More...
bool | unlinkWell (const ome::compat::shared_ptr< ome::xml::model::Well > &well_BackReference)
| Unlink Well. More...
virtual common::xml::dom::Element | asXMLElement (common::xml::dom::Document &document) const
| Transform the object hierarchy rooted at this element to XML. More...
const std::string & | getXMLNamespace () const
| Get the XML namespace for this model object. More...
Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
virtual | ~OMEModelObject ()
| Destructor.
virtual void | update (const common::xml::dom::Element &element, ::ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ::ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
Public Member Functions inherited from ome::xml::model::OMEModelObject
virtual const std::string & | elementName () const =0
| Get the element name of this model object. More...
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< OMEModelObject > &object)=0
| Link a given OME model object to this model object. More...

## Protected Member Functions
virtual common::xml::dom::Element | asXMLElementInternal (common::xml::dom::Document &document, common::xml::dom::Element &element) const
| Transform the object hierarchy rooted at this element to XML. More...
Protected Member Functions inherited from ome::xml::model::detail::OMEModelObject
| OMEModelObject (const std::string &objectType="OMEModelObject")
| Constructor.
| OMEModelObject (const OMEModelObject &copy)
| Copy constructor. More...
template<class C , typename T >
bool | contains (const C &container, const ome::compat::shared_ptr< T > &element)
| Check if a container contains a particular element. More...
Protected Member Functions inherited from ome::xml::model::OMEModelObject
| OMEModelObject ()
| Constructor.

## Private Member Functions
Annotation & | operator= (const Annotation &)
| Assignment operator (deleted).

## Private Attributes
ome::compat::shared_ptr< Impl > | impl
| Private implementation details.

## Additional Inherited Members
Static Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
static std::vector< common::xml::dom::Element > | getChildrenByTagName (const common::xml::dom::Element &parent, const std::string &name)
| Retrieve all the children of an element that have a given tag name. More...
static std::string | stripNamespacePrefix (const std::string &value)
| Strip the namespace prefix from a tag name. More...
Protected Attributes inherited from ome::xml::model::detail::OMEModelObject
ome::common::Logger | logger
| Message logger.

## Detailed Description

Annotation model object.

## Constructor & Destructor Documentation

## § Annotation()

ome::xml::model::Annotation::Annotation | ( | const Annotation & | copy | ) |

Copy constructor.

Parameters

  copy | the Annotation to copy.

## Member Function Documentation

## § asXMLElement()

common::xml::dom::Element ome::xml::model::Annotation::asXMLElement | ( | common::xml::dom::Document & | document | ) | const
| virtual

Transform the object hierarchy rooted at this element to XML.

Parameters

  document | document for element creation

Returns
  an XML DOM tree root element for this model object.

Implements ome::xml::model::OMEModelObject.

Reimplemented in ome::xml::model::FileAnnotation, ome::xml::model::MapAnnotation, ome::xml::model::TimestampAnnotation, ome::xml::model::BooleanAnnotation, ome::xml::model::CommentAnnotation, ome::xml::model::DoubleAnnotation, ome::xml::model::LongAnnotation, ome::xml::model::TagAnnotation, ome::xml::model::TermAnnotation, ome::xml::model::XMLAnnotation, ome::xml::model::ListAnnotation, ome::xml::model::OriginalMetadataAnnotation, ome::xml::model::BasicAnnotation, ome::xml::model::NumericAnnotation, ome::xml::model::TextAnnotation, and ome::xml::model::TypeAnnotation.

References asXMLElementInternal(), ome::common::xml::dom::Document::createElementNS(), and getXMLNamespace().

## § asXMLElementInternal()

common::xml::dom::Element ome::xml::model::Annotation::asXMLElementInternal | ( | common::xml::dom::Document & | document,
|  | common::xml::dom::Element & | element
| ) |  | const
| protectedvirtual

Transform the object hierarchy rooted at this element to XML.

This internal implementation of asXMLelement also requires an XML element, which must not be null, or may be instantiated and passed from superclasses.

Parameters

  document | XML document for element creation.
  element | XML element for setting model data.

Returns
  an XML DOM tree root element for this model object.

Implements ome::xml::model::detail::OMEModelObject.

Reimplemented in ome::xml::model::FileAnnotation, ome::xml::model::MapAnnotation, ome::xml::model::TimestampAnnotation, ome::xml::model::BooleanAnnotation, ome::xml::model::CommentAnnotation, ome::xml::model::DoubleAnnotation, ome::xml::model::LongAnnotation, ome::xml::model::TagAnnotation, ome::xml::model::TermAnnotation, ome::xml::model::XMLAnnotation, ome::xml::model::ListAnnotation, ome::xml::model::OriginalMetadataAnnotation, ome::xml::model::BasicAnnotation, ome::xml::model::NumericAnnotation, ome::xml::model::TextAnnotation, and ome::xml::model::TypeAnnotation.

References ome::common::xml::dom::Node::appendChild(), ome::xml::model::detail::OMEModelObject::asXMLElementInternal(), ome::common::xml::dom::Document::createElementNS(), getXMLNamespace(), impl, and ome::common::xml::dom::Element::setAttribute().

Referenced by asXMLElement(), ome::xml::model::BasicAnnotation::asXMLElementInternal(), ome::xml::model::TextAnnotation::asXMLElementInternal(), ome::xml::model::TypeAnnotation::asXMLElementInternal(), ome::xml::model::ListAnnotation::asXMLElementInternal(), and ome::xml::model::MapAnnotation::asXMLElementInternal().

Here is the caller graph for this function:

## § getAnnotator() [1/2]

ome::compat::shared_ptr< std::string > ome::xml::model::Annotation::getAnnotator | ( |  | ) |

Get the Annotator property.

Returns
  the Annotator property.

References impl.

## § getAnnotator() [2/2]

const ome::compat::shared_ptr< std::string > ome::xml::model::Annotation::getAnnotator | ( |  | ) | const

Get the Annotator property.

Returns
  the Annotator property.

References impl.

## § getDescription() [1/2]

ome::compat::shared_ptr< std::string > ome::xml::model::Annotation::getDescription | ( |  | ) |

Get the Description property.

Returns
  the Description property.

References impl.

## § getDescription() [2/2]

const ome::compat::shared_ptr< std::string > ome::xml::model::Annotation::getDescription | ( |  | ) | const

Get the Description property.

Returns
  the Description property.

References impl.

## § getID()

const std::string & ome::xml::model::Annotation::getID | ( |  | ) | const

Get the ID property.

Returns
  the ID property.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § getLinkedAnnotation()

const ome::compat::weak_ptr< ome::xml::model::Annotation > & ome::xml::model::Annotation::getLinkedAnnotation | ( | OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Annotation.

Parameters

  index | the index number of the Annotation.

Returns
  a weak pointer to the Annotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedAnnotationList()

OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedAnnotationList | ( |  | ) | const

Get the linked Annotation list.

Returns
  a reference to the list.

References impl.

## § getLinkedChannel()

const ome::compat::weak_ptr< ome::xml::model::Channel > & ome::xml::model::Annotation::getLinkedChannel | ( | OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Channel.

Parameters

  index | the index number of the Channel.

Returns
  a weak pointer to the Channel.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedChannelList()

OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedChannelList | ( |  | ) | const

Get the linked Channel list.

Returns
  a reference to the list.

References impl.

## § getLinkedDataset()

const ome::compat::weak_ptr< ome::xml::model::Dataset > & ome::xml::model::Annotation::getLinkedDataset | ( | OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Dataset.

Parameters

  index | the index number of the Dataset.

Returns
  a weak pointer to the Dataset.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedDatasetList()

OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedDatasetList | ( |  | ) | const

Get the linked Dataset list.

Returns
  a reference to the list.

References impl.

## § getLinkedDetector()

const ome::compat::weak_ptr< ome::xml::model::Detector > & ome::xml::model::Annotation::getLinkedDetector | ( | OMEModelObject::indexed_container< ome::xml::model::Detector, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Detector.

Parameters

  index | the index number of the Detector.

Returns
  a weak pointer to the Detector.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedDetectorList()

OMEModelObject::indexed_container< ome::xml::model::Detector, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedDetectorList | ( |  | ) | const

Get the linked Detector list.

Returns
  a reference to the list.

References impl.

## § getLinkedDichroic()

const ome::compat::weak_ptr< ome::xml::model::Dichroic > & ome::xml::model::Annotation::getLinkedDichroic | ( | OMEModelObject::indexed_container< ome::xml::model::Dichroic, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Dichroic.

Parameters

  index | the index number of the Dichroic.

Returns
  a weak pointer to the Dichroic.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedDichroicList()

OMEModelObject::indexed_container< ome::xml::model::Dichroic, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedDichroicList | ( |  | ) | const

Get the linked Dichroic list.

Returns
  a reference to the list.

References impl.

## § getLinkedExperimenter()

const ome::compat::weak_ptr< ome::xml::model::Experimenter > & ome::xml::model::Annotation::getLinkedExperimenter | ( | OMEModelObject::indexed_container< ome::xml::model::Experimenter, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Experimenter.

Parameters

  index | the index number of the Experimenter.

Returns
  a weak pointer to the Experimenter.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedExperimenterGroup()

const ome::compat::weak_ptr< ome::xml::model::ExperimenterGroup > & ome::xml::model::Annotation::getLinkedExperimenterGroup | ( | OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked ExperimenterGroup.

Parameters

  index | the index number of the ExperimenterGroup.

Returns
  a weak pointer to the ExperimenterGroup.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedExperimenterGroupList()

OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedExperimenterGroupList | ( |  | ) | const

Get the linked ExperimenterGroup list.

Returns
  a reference to the list.

References impl.

## § getLinkedExperimenterList()

OMEModelObject::indexed_container< ome::xml::model::Experimenter, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedExperimenterList | ( |  | ) | const

Get the linked Experimenter list.

Returns
  a reference to the list.

References impl.

## § getLinkedFilter()

const ome::compat::weak_ptr< ome::xml::model::Filter > & ome::xml::model::Annotation::getLinkedFilter | ( | OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Filter.

Parameters

  index | the index number of the Filter.

Returns
  a weak pointer to the Filter.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedFilterList()

OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedFilterList | ( |  | ) | const

Get the linked Filter list.

Returns
  a reference to the list.

References impl.

## § getLinkedFolder()

const ome::compat::weak_ptr< ome::xml::model::Folder > & ome::xml::model::Annotation::getLinkedFolder | ( | OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Folder.

Parameters

  index | the index number of the Folder.

Returns
  a weak pointer to the Folder.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedFolderList()

OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedFolderList | ( |  | ) | const

Get the linked Folder list.

Returns
  a reference to the list.

References impl.

## § getLinkedImage()

const ome::compat::weak_ptr< ome::xml::model::Image > & ome::xml::model::Annotation::getLinkedImage | ( | OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Image.

Parameters

  index | the index number of the Image.

Returns
  a weak pointer to the Image.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedImageList()

OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedImageList | ( |  | ) | const

Get the linked Image list.

Returns
  a reference to the list.

References impl.

## § getLinkedInstrument()

const ome::compat::weak_ptr< ome::xml::model::Instrument > & ome::xml::model::Annotation::getLinkedInstrument | ( | OMEModelObject::indexed_container< ome::xml::model::Instrument, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Instrument.

Parameters

  index | the index number of the Instrument.

Returns
  a weak pointer to the Instrument.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedInstrumentList()

OMEModelObject::indexed_container< ome::xml::model::Instrument, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedInstrumentList | ( |  | ) | const

Get the linked Instrument list.

Returns
  a reference to the list.

References impl.

## § getLinkedLightPath()

const ome::compat::weak_ptr< ome::xml::model::LightPath > & ome::xml::model::Annotation::getLinkedLightPath | ( | OMEModelObject::indexed_container< ome::xml::model::LightPath, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked LightPath.

Parameters

  index | the index number of the LightPath.

Returns
  a weak pointer to the LightPath.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedLightPathList()

OMEModelObject::indexed_container< ome::xml::model::LightPath, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedLightPathList | ( |  | ) | const

Get the linked LightPath list.

Returns
  a reference to the list.

References impl.

## § getLinkedLightSource()

const ome::compat::weak_ptr< ome::xml::model::LightSource > & ome::xml::model::Annotation::getLinkedLightSource | ( | OMEModelObject::indexed_container< ome::xml::model::LightSource, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked LightSource.

Parameters

  index | the index number of the LightSource.

Returns
  a weak pointer to the LightSource.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedLightSourceList()

OMEModelObject::indexed_container< ome::xml::model::LightSource, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedLightSourceList | ( |  | ) | const

Get the linked LightSource list.

Returns
  a reference to the list.

References impl.

## § getLinkedObjective()

const ome::compat::weak_ptr< ome::xml::model::Objective > & ome::xml::model::Annotation::getLinkedObjective | ( | OMEModelObject::indexed_container< ome::xml::model::Objective, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Objective.

Parameters

  index | the index number of the Objective.

Returns
  a weak pointer to the Objective.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedObjectiveList()

OMEModelObject::indexed_container< ome::xml::model::Objective, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedObjectiveList | ( |  | ) | const

Get the linked Objective list.

Returns
  a reference to the list.

References impl.

## § getLinkedPlane()

const ome::compat::weak_ptr< ome::xml::model::Plane > & ome::xml::model::Annotation::getLinkedPlane | ( | OMEModelObject::indexed_container< ome::xml::model::Plane, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Plane.

Parameters

  index | the index number of the Plane.

Returns
  a weak pointer to the Plane.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedPlaneList()

OMEModelObject::indexed_container< ome::xml::model::Plane, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedPlaneList | ( |  | ) | const

Get the linked Plane list.

Returns
  a reference to the list.

References impl.

## § getLinkedPlate()

const ome::compat::weak_ptr< ome::xml::model::Plate > & ome::xml::model::Annotation::getLinkedPlate | ( | OMEModelObject::indexed_container< ome::xml::model::Plate, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Plate.

Parameters

  index | the index number of the Plate.

Returns
  a weak pointer to the Plate.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedPlateAcquisition()

const ome::compat::weak_ptr< ome::xml::model::PlateAcquisition > & ome::xml::model::Annotation::getLinkedPlateAcquisition | ( | OMEModelObject::indexed_container< ome::xml::model::PlateAcquisition, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked PlateAcquisition.

Parameters

  index | the index number of the PlateAcquisition.

Returns
  a weak pointer to the PlateAcquisition.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedPlateAcquisitionList()

OMEModelObject::indexed_container< ome::xml::model::PlateAcquisition, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedPlateAcquisitionList | ( |  | ) | const

Get the linked PlateAcquisition list.

Returns
  a reference to the list.

References impl.

## § getLinkedPlateList()

OMEModelObject::indexed_container< ome::xml::model::Plate, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedPlateList | ( |  | ) | const

Get the linked Plate list.

Returns
  a reference to the list.

References impl.

## § getLinkedProject()

const ome::compat::weak_ptr< ome::xml::model::Project > & ome::xml::model::Annotation::getLinkedProject | ( | OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Project.

Parameters

  index | the index number of the Project.

Returns
  a weak pointer to the Project.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedProjectList()

OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedProjectList | ( |  | ) | const

Get the linked Project list.

Returns
  a reference to the list.

References impl.

## § getLinkedReagent()

const ome::compat::weak_ptr< ome::xml::model::Reagent > & ome::xml::model::Annotation::getLinkedReagent | ( | OMEModelObject::indexed_container< ome::xml::model::Reagent, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Reagent.

Parameters

  index | the index number of the Reagent.

Returns
  a weak pointer to the Reagent.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedReagentList()

OMEModelObject::indexed_container< ome::xml::model::Reagent, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedReagentList | ( |  | ) | const

Get the linked Reagent list.

Returns
  a reference to the list.

References impl.

## § getLinkedROI()

const ome::compat::weak_ptr< ome::xml::model::ROI > & ome::xml::model::Annotation::getLinkedROI | ( | OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked ROI.

Parameters

  index | the index number of the ROI.

Returns
  a weak pointer to the ROI.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedROIList()

OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedROIList | ( |  | ) | const

Get the linked ROI list.

Returns
  a reference to the list.

References impl.

## § getLinkedScreen()

const ome::compat::weak_ptr< ome::xml::model::Screen > & ome::xml::model::Annotation::getLinkedScreen | ( | OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Screen.

Parameters

  index | the index number of the Screen.

Returns
  a weak pointer to the Screen.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedScreenList()

OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedScreenList | ( |  | ) | const

Get the linked Screen list.

Returns
  a reference to the list.

References impl.

## § getLinkedShape()

const ome::compat::weak_ptr< ome::xml::model::Shape > & ome::xml::model::Annotation::getLinkedShape | ( | OMEModelObject::indexed_container< ome::xml::model::Shape, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Shape.

Parameters

  index | the index number of the Shape.

Returns
  a weak pointer to the Shape.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedShapeList()

OMEModelObject::indexed_container< ome::xml::model::Shape, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedShapeList | ( |  | ) | const

Get the linked Shape list.

Returns
  a reference to the list.

References impl.

## § getLinkedWell()

const ome::compat::weak_ptr< ome::xml::model::Well > & ome::xml::model::Annotation::getLinkedWell | ( | OMEModelObject::indexed_container< ome::xml::model::Well, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Well.

Parameters

  index | the index number of the Well.

Returns
  a weak pointer to the Well.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedWellList()

OMEModelObject::indexed_container< ome::xml::model::Well, ome::compat::weak_ptr >::type ome::xml::model::Annotation::getLinkedWellList | ( |  | ) | const

Get the linked Well list.

Returns
  a reference to the list.

References impl.

## § getNamespace() [1/2]

ome::compat::shared_ptr< std::string > ome::xml::model::Annotation::getNamespace | ( |  | ) |

Get the Namespace property.

Returns
  the Namespace property.

References impl.

## § getNamespace() [2/2]

const ome::compat::shared_ptr< std::string > ome::xml::model::Annotation::getNamespace | ( |  | ) | const

Get the Namespace property.

Returns
  the Namespace property.

References impl.

## § getXMLNamespace()

const std::string & ome::xml::model::Annotation::getXMLNamespace | ( |  | ) | const
| virtual

Get the XML namespace for this model object.

Returns
  the XML namespace.

Implements ome::xml::model::OMEModelObject.

Reimplemented in ome::xml::model::FileAnnotation, ome::xml::model::MapAnnotation, ome::xml::model::TimestampAnnotation, ome::xml::model::BooleanAnnotation, ome::xml::model::CommentAnnotation, ome::xml::model::DoubleAnnotation, ome::xml::model::LongAnnotation, ome::xml::model::TagAnnotation, ome::xml::model::TermAnnotation, ome::xml::model::XMLAnnotation, ome::xml::model::ListAnnotation, ome::xml::model::BasicAnnotation, ome::xml::model::NumericAnnotation, ome::xml::model::TextAnnotation, and ome::xml::model::TypeAnnotation.

Referenced by asXMLElement(), and asXMLElementInternal().

Here is the caller graph for this function:

## § link()

bool ome::xml::model::Annotation::link | ( | ome::compat::shared_ptr< Reference > & | reference,
|  | ome::compat::shared_ptr< ome::xml::model::OMEModelObject > & | object
| ) |  |

Link a given OME model object to this model object.

Parameters

  reference | type qualifier for the reference. This should be the corresponding reference type for object. If, for example, object is of type Image, reference must be of type ImageRef.
  object | Model object to link to.

Returns
  `true` if this model object was able to handle the reference, otherwise `false`.

Todo:
  the use of reference to provide type information for the type of object is unconventional and quite possibly unnecessary–a simple string or type_info would suffice for what it's being used for, if it's needed at all. Is this true for all cases? The implementation also needs to do strict checking of the object type; it's not currently failing if it's of the wrong type. This applies to all generated model objects implementing this interface.

Todo:
  This bit is silly; why do we have two dynamic_casts here.

References impl, ome::xml::model::detail::OMEModelObject::link(), and ome::xml::model::detail::OMEModelObject::logger.

Referenced by ome::xml::model::BasicAnnotation::link(), ome::xml::model::TypeAnnotation::link(), ome::xml::model::TextAnnotation::link(), ome::xml::model::ListAnnotation::link(), and ome::xml::model::MapAnnotation::link().

Here is the caller graph for this function:

## § linkAnnotation()

bool ome::xml::model::Annotation::linkAnnotation | ( | const ome::compat::shared_ptr< ome::xml::model::Annotation > & | annotation | ) |

Link Annotation.

Parameters

  annotation | the Annotation to link.

Returns
  `true` if the object was added to the internal annotationLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

## § linkChannel()

bool ome::xml::model::Annotation::linkChannel | ( | const ome::compat::shared_ptr< ome::xml::model::Channel > & | channel_BackReference | ) |

Link Channel.

Parameters

  channel_BackReference | the Channel to link.

Returns
  `true` if the object was added to the internal channelLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Channel::link().

Here is the caller graph for this function:

## § linkDataset()

bool ome::xml::model::Annotation::linkDataset | ( | const ome::compat::shared_ptr< ome::xml::model::Dataset > & | dataset_BackReference | ) |

Link Dataset.

Parameters

  dataset_BackReference | the Dataset to link.

Returns
  `true` if the object was added to the internal datasetLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Dataset::link().

Here is the caller graph for this function:

## § linkDetector()

bool ome::xml::model::Annotation::linkDetector | ( | const ome::compat::shared_ptr< ome::xml::model::Detector > & | detector_BackReference | ) |

Link Detector.

Parameters

  detector_BackReference | the Detector to link.

Returns
  `true` if the object was added to the internal detectorLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Detector::link().

Here is the caller graph for this function:

## § linkDichroic()

bool ome::xml::model::Annotation::linkDichroic | ( | const ome::compat::shared_ptr< ome::xml::model::Dichroic > & | dichroic_BackReference | ) |

Link Dichroic.

Parameters

  dichroic_BackReference | the Dichroic to link.

Returns
  `true` if the object was added to the internal dichroicLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Dichroic::link().

Here is the caller graph for this function:

## § linkExperimenter()

bool ome::xml::model::Annotation::linkExperimenter | ( | const ome::compat::shared_ptr< ome::xml::model::Experimenter > & | experimenter_BackReference | ) |

Link Experimenter.

Parameters

  experimenter_BackReference | the Experimenter to link.

Returns
  `true` if the object was added to the internal experimenterLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Experimenter::link().

Here is the caller graph for this function:

## § linkExperimenterGroup()

bool ome::xml::model::Annotation::linkExperimenterGroup | ( | const ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > & | experimenterGroup_BackReference | ) |

Link ExperimenterGroup.

Parameters

  experimenterGroup_BackReference | the ExperimenterGroup to link.

Returns
  `true` if the object was added to the internal experimenterGroupLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::ExperimenterGroup::link().

Here is the caller graph for this function:

## § linkFilter()

bool ome::xml::model::Annotation::linkFilter | ( | const ome::compat::shared_ptr< ome::xml::model::Filter > & | filter_BackReference | ) |

Link Filter.

Parameters

  filter_BackReference | the Filter to link.

Returns
  `true` if the object was added to the internal filterLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Filter::link().

Here is the caller graph for this function:

## § linkFolder()

bool ome::xml::model::Annotation::linkFolder | ( | const ome::compat::shared_ptr< ome::xml::model::Folder > & | folder_BackReference | ) |

Link Folder.

Parameters

  folder_BackReference | the Folder to link.

Returns
  `true` if the object was added to the internal folderLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Folder::link().

Here is the caller graph for this function:

## § linkImage()

bool ome::xml::model::Annotation::linkImage | ( | const ome::compat::shared_ptr< ome::xml::model::Image > & | image_BackReference | ) |

Link Image.

Parameters

  image_BackReference | the Image to link.

Returns
  `true` if the object was added to the internal imageLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Image::link().

Here is the caller graph for this function:

## § linkInstrument()

bool ome::xml::model::Annotation::linkInstrument | ( | const ome::compat::shared_ptr< ome::xml::model::Instrument > & | instrument_BackReference | ) |

Link Instrument.

Parameters

  instrument_BackReference | the Instrument to link.

Returns
  `true` if the object was added to the internal instrumentLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Instrument::link().

Here is the caller graph for this function:

## § linkLightPath()

bool ome::xml::model::Annotation::linkLightPath | ( | const ome::compat::shared_ptr< ome::xml::model::LightPath > & | lightPath_BackReference | ) |

Link LightPath.

Parameters

  lightPath_BackReference | the LightPath to link.

Returns
  `true` if the object was added to the internal lightPathLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::LightPath::link().

Here is the caller graph for this function:

## § linkLightSource()

bool ome::xml::model::Annotation::linkLightSource | ( | const ome::compat::shared_ptr< ome::xml::model::LightSource > & | lightSource_BackReference | ) |

Link LightSource.

Parameters

  lightSource_BackReference | the LightSource to link.

Returns
  `true` if the object was added to the internal lightSourceLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::LightSource::link().

Here is the caller graph for this function:

## § linkObjective()

bool ome::xml::model::Annotation::linkObjective | ( | const ome::compat::shared_ptr< ome::xml::model::Objective > & | objective_BackReference | ) |

Link Objective.

Parameters

  objective_BackReference | the Objective to link.

Returns
  `true` if the object was added to the internal objectiveLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Objective::link().

Here is the caller graph for this function:

## § linkPlane()

bool ome::xml::model::Annotation::linkPlane | ( | const ome::compat::shared_ptr< ome::xml::model::Plane > & | plane_BackReference | ) |

Link Plane.

Parameters

  plane_BackReference | the Plane to link.

Returns
  `true` if the object was added to the internal planeLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Plane::link().

Here is the caller graph for this function:

## § linkPlate()

bool ome::xml::model::Annotation::linkPlate | ( | const ome::compat::shared_ptr< ome::xml::model::Plate > & | plate_BackReference | ) |

Link Plate.

Parameters

  plate_BackReference | the Plate to link.

Returns
  `true` if the object was added to the internal plateLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Plate::link().

Here is the caller graph for this function:

## § linkPlateAcquisition()

bool ome::xml::model::Annotation::linkPlateAcquisition | ( | const ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > & | plateAcquisition_BackReference | ) |

Link PlateAcquisition.

Parameters

  plateAcquisition_BackReference | the PlateAcquisition to link.

Returns
  `true` if the object was added to the internal plateAcquisitionLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::PlateAcquisition::link().

Here is the caller graph for this function:

## § linkProject()

bool ome::xml::model::Annotation::linkProject | ( | const ome::compat::shared_ptr< ome::xml::model::Project > & | project_BackReference | ) |

Link Project.

Parameters

  project_BackReference | the Project to link.

Returns
  `true` if the object was added to the internal projectLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Project::link().

Here is the caller graph for this function:

## § linkReagent()

bool ome::xml::model::Annotation::linkReagent | ( | const ome::compat::shared_ptr< ome::xml::model::Reagent > & | reagent_BackReference | ) |

Link Reagent.

Parameters

  reagent_BackReference | the Reagent to link.

Returns
  `true` if the object was added to the internal reagentLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Reagent::link().

Here is the caller graph for this function:

## § linkROI()

bool ome::xml::model::Annotation::linkROI | ( | const ome::compat::shared_ptr< ome::xml::model::ROI > & | roi_BackReference | ) |

Link ROI.

Parameters

  roi_BackReference | the ROI to link.

Returns
  `true` if the object was added to the internal roiLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::ROI::link().

Here is the caller graph for this function:

## § linkScreen()

bool ome::xml::model::Annotation::linkScreen | ( | const ome::compat::shared_ptr< ome::xml::model::Screen > & | screen_BackReference | ) |

Link Screen.

Parameters

  screen_BackReference | the Screen to link.

Returns
  `true` if the object was added to the internal screenLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Screen::link().

Here is the caller graph for this function:

## § linkShape()

bool ome::xml::model::Annotation::linkShape | ( | const ome::compat::shared_ptr< ome::xml::model::Shape > & | shape_BackReference | ) |

Link Shape.

Parameters

  shape_BackReference | the Shape to link.

Returns
  `true` if the object was added to the internal shapeLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Shape::link().

Here is the caller graph for this function:

## § linkWell()

bool ome::xml::model::Annotation::linkWell | ( | const ome::compat::shared_ptr< ome::xml::model::Well > & | well_BackReference | ) |

Link Well.

Parameters

  well_BackReference | the Well to link.

Returns
  `true` if the object was added to the internal wellLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Well::link().

Here is the caller graph for this function:

## § setAnnotator()

void ome::xml::model::Annotation::setAnnotator | ( | ome::compat::shared_ptr< std::string > & | annotator | ) |

Set the Annotator property.

Parameters

  annotator | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setDescription()

void ome::xml::model::Annotation::setDescription | ( | ome::compat::shared_ptr< std::string > & | description | ) |

Set the Description property.

Parameters

  description | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setID()

void ome::xml::model::Annotation::setID | ( | const std::string & | id | ) |

Set the ID property.

Parameters

  id | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setLinkedAnnotation()

const ome::compat::weak_ptr< ome::xml::model::Annotation > & ome::xml::model::Annotation::setLinkedAnnotation | ( | OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Annotation > & | annotation
| ) |  |

Set linked Annotation.

Note
  The index must be valid.

Parameters

  index | the index number of the Annotation.
  annotation | the Annotation to set.

Returns
  a weak pointer to the Annotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedChannel()

const ome::compat::weak_ptr< ome::xml::model::Channel > & ome::xml::model::Annotation::setLinkedChannel | ( | OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Channel > & | channel_BackReference
| ) |  |

Set linked Channel.

Note
  The index must be valid.

Parameters

  index | the index number of the Channel.
  channel_BackReference | the Channel to set.

Returns
  a weak pointer to the Channel.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedDataset()

const ome::compat::weak_ptr< ome::xml::model::Dataset > & ome::xml::model::Annotation::setLinkedDataset | ( | OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Dataset > & | dataset_BackReference
| ) |  |

Set linked Dataset.

Note
  The index must be valid.

Parameters

  index | the index number of the Dataset.
  dataset_BackReference | the Dataset to set.

Returns
  a weak pointer to the Dataset.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedDetector()

const ome::compat::weak_ptr< ome::xml::model::Detector > & ome::xml::model::Annotation::setLinkedDetector | ( | OMEModelObject::indexed_container< ome::xml::model::Detector, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Detector > & | detector_BackReference
| ) |  |

Set linked Detector.

Note
  The index must be valid.

Parameters

  index | the index number of the Detector.
  detector_BackReference | the Detector to set.

Returns
  a weak pointer to the Detector.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedDichroic()

const ome::compat::weak_ptr< ome::xml::model::Dichroic > & ome::xml::model::Annotation::setLinkedDichroic | ( | OMEModelObject::indexed_container< ome::xml::model::Dichroic, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Dichroic > & | dichroic_BackReference
| ) |  |

Set linked Dichroic.

Note
  The index must be valid.

Parameters

  index | the index number of the Dichroic.
  dichroic_BackReference | the Dichroic to set.

Returns
  a weak pointer to the Dichroic.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedExperimenter()

const ome::compat::weak_ptr< ome::xml::model::Experimenter > & ome::xml::model::Annotation::setLinkedExperimenter | ( | OMEModelObject::indexed_container< ome::xml::model::Experimenter, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Experimenter > & | experimenter_BackReference
| ) |  |

Set linked Experimenter.

Note
  The index must be valid.

Parameters

  index | the index number of the Experimenter.
  experimenter_BackReference | the Experimenter to set.

Returns
  a weak pointer to the Experimenter.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedExperimenterGroup()

const ome::compat::weak_ptr< ome::xml::model::ExperimenterGroup > & ome::xml::model::Annotation::setLinkedExperimenterGroup | ( | OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > & | experimenterGroup_BackReference
| ) |  |

Set linked ExperimenterGroup.

Note
  The index must be valid.

Parameters

  index | the index number of the ExperimenterGroup.
  experimenterGroup_BackReference | the ExperimenterGroup to set.

Returns
  a weak pointer to the ExperimenterGroup.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedFilter()

const ome::compat::weak_ptr< ome::xml::model::Filter > & ome::xml::model::Annotation::setLinkedFilter | ( | OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Filter > & | filter_BackReference
| ) |  |

Set linked Filter.

Note
  The index must be valid.

Parameters

  index | the index number of the Filter.
  filter_BackReference | the Filter to set.

Returns
  a weak pointer to the Filter.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedFolder()

const ome::compat::weak_ptr< ome::xml::model::Folder > & ome::xml::model::Annotation::setLinkedFolder | ( | OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Folder > & | folder_BackReference
| ) |  |

Set linked Folder.

Note
  The index must be valid.

Parameters

  index | the index number of the Folder.
  folder_BackReference | the Folder to set.

Returns
  a weak pointer to the Folder.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedImage()

const ome::compat::weak_ptr< ome::xml::model::Image > & ome::xml::model::Annotation::setLinkedImage | ( | OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Image > & | image_BackReference
| ) |  |

Set linked Image.

Note
  The index must be valid.

Parameters

  index | the index number of the Image.
  image_BackReference | the Image to set.

Returns
  a weak pointer to the Image.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedInstrument()

const ome::compat::weak_ptr< ome::xml::model::Instrument > & ome::xml::model::Annotation::setLinkedInstrument | ( | OMEModelObject::indexed_container< ome::xml::model::Instrument, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Instrument > & | instrument_BackReference
| ) |  |

Set linked Instrument.

Note
  The index must be valid.

Parameters

  index | the index number of the Instrument.
  instrument_BackReference | the Instrument to set.

Returns
  a weak pointer to the Instrument.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedLightPath()

const ome::compat::weak_ptr< ome::xml::model::LightPath > & ome::xml::model::Annotation::setLinkedLightPath | ( | OMEModelObject::indexed_container< ome::xml::model::LightPath, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::LightPath > & | lightPath_BackReference
| ) |  |

Set linked LightPath.

Note
  The index must be valid.

Parameters

  index | the index number of the LightPath.
  lightPath_BackReference | the LightPath to set.

Returns
  a weak pointer to the LightPath.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedLightSource()

const ome::compat::weak_ptr< ome::xml::model::LightSource > & ome::xml::model::Annotation::setLinkedLightSource | ( | OMEModelObject::indexed_container< ome::xml::model::LightSource, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::LightSource > & | lightSource_BackReference
| ) |  |

Set linked LightSource.

Note
  The index must be valid.

Parameters

  index | the index number of the LightSource.
  lightSource_BackReference | the LightSource to set.

Returns
  a weak pointer to the LightSource.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedObjective()

const ome::compat::weak_ptr< ome::xml::model::Objective > & ome::xml::model::Annotation::setLinkedObjective | ( | OMEModelObject::indexed_container< ome::xml::model::Objective, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Objective > & | objective_BackReference
| ) |  |

Set linked Objective.

Note
  The index must be valid.

Parameters

  index | the index number of the Objective.
  objective_BackReference | the Objective to set.

Returns
  a weak pointer to the Objective.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedPlane()

const ome::compat::weak_ptr< ome::xml::model::Plane > & ome::xml::model::Annotation::setLinkedPlane | ( | OMEModelObject::indexed_container< ome::xml::model::Plane, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Plane > & | plane_BackReference
| ) |  |

Set linked Plane.

Note
  The index must be valid.

Parameters

  index | the index number of the Plane.
  plane_BackReference | the Plane to set.

Returns
  a weak pointer to the Plane.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedPlate()

const ome::compat::weak_ptr< ome::xml::model::Plate > & ome::xml::model::Annotation::setLinkedPlate | ( | OMEModelObject::indexed_container< ome::xml::model::Plate, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Plate > & | plate_BackReference
| ) |  |

Set linked Plate.

Note
  The index must be valid.

Parameters

  index | the index number of the Plate.
  plate_BackReference | the Plate to set.

Returns
  a weak pointer to the Plate.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedPlateAcquisition()

const ome::compat::weak_ptr< ome::xml::model::PlateAcquisition > & ome::xml::model::Annotation::setLinkedPlateAcquisition | ( | OMEModelObject::indexed_container< ome::xml::model::PlateAcquisition, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > & | plateAcquisition_BackReference
| ) |  |

Set linked PlateAcquisition.

Note
  The index must be valid.

Parameters

  index | the index number of the PlateAcquisition.
  plateAcquisition_BackReference | the PlateAcquisition to set.

Returns
  a weak pointer to the PlateAcquisition.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedProject()

const ome::compat::weak_ptr< ome::xml::model::Project > & ome::xml::model::Annotation::setLinkedProject | ( | OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Project > & | project_BackReference
| ) |  |

Set linked Project.

Note
  The index must be valid.

Parameters

  index | the index number of the Project.
  project_BackReference | the Project to set.

Returns
  a weak pointer to the Project.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedReagent()

const ome::compat::weak_ptr< ome::xml::model::Reagent > & ome::xml::model::Annotation::setLinkedReagent | ( | OMEModelObject::indexed_container< ome::xml::model::Reagent, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Reagent > & | reagent_BackReference
| ) |  |

Set linked Reagent.

Note
  The index must be valid.

Parameters

  index | the index number of the Reagent.
  reagent_BackReference | the Reagent to set.

Returns
  a weak pointer to the Reagent.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedROI()

const ome::compat::weak_ptr< ome::xml::model::ROI > & ome::xml::model::Annotation::setLinkedROI | ( | OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::ROI > & | roi_BackReference
| ) |  |

Set linked ROI.

Note
  The index must be valid.

Parameters

  index | the index number of the ROI.
  roi_BackReference | the ROI to set.

Returns
  a weak pointer to the ROI.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedScreen()

const ome::compat::weak_ptr< ome::xml::model::Screen > & ome::xml::model::Annotation::setLinkedScreen | ( | OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Screen > & | screen_BackReference
| ) |  |

Set linked Screen.

Note
  The index must be valid.

Parameters

  index | the index number of the Screen.
  screen_BackReference | the Screen to set.

Returns
  a weak pointer to the Screen.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedShape()

const ome::compat::weak_ptr< ome::xml::model::Shape > & ome::xml::model::Annotation::setLinkedShape | ( | OMEModelObject::indexed_container< ome::xml::model::Shape, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Shape > & | shape_BackReference
| ) |  |

Set linked Shape.

Note
  The index must be valid.

Parameters

  index | the index number of the Shape.
  shape_BackReference | the Shape to set.

Returns
  a weak pointer to the Shape.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedWell()

const ome::compat::weak_ptr< ome::xml::model::Well > & ome::xml::model::Annotation::setLinkedWell | ( | OMEModelObject::indexed_container< ome::xml::model::Well, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Well > & | well_BackReference
| ) |  |

Set linked Well.

Note
  The index must be valid.

Parameters

  index | the index number of the Well.
  well_BackReference | the Well to set.

Returns
  a weak pointer to the Well.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setNamespace()

void ome::xml::model::Annotation::setNamespace | ( | ome::compat::shared_ptr< std::string > & | namespace_ | ) |

Set the Namespace property.

Parameters

  namespace_ | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § sizeOfLinkedAnnotationList()

OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedAnnotationList | ( |  | ) | const

Get size of linked Annotation list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedChannelList()

OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedChannelList | ( |  | ) | const

Get size of linked Channel list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedDatasetList()

OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedDatasetList | ( |  | ) | const

Get size of linked Dataset list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedDetectorList()

OMEModelObject::indexed_container< ome::xml::model::Detector, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedDetectorList | ( |  | ) | const

Get size of linked Detector list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedDichroicList()

OMEModelObject::indexed_container< ome::xml::model::Dichroic, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedDichroicList | ( |  | ) | const

Get size of linked Dichroic list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedExperimenterGroupList()

OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedExperimenterGroupList | ( |  | ) | const

Get size of linked ExperimenterGroup list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedExperimenterList()

OMEModelObject::indexed_container< ome::xml::model::Experimenter, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedExperimenterList | ( |  | ) | const

Get size of linked Experimenter list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedFilterList()

OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedFilterList | ( |  | ) | const

Get size of linked Filter list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedFolderList()

OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedFolderList | ( |  | ) | const

Get size of linked Folder list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedImageList()

OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedImageList | ( |  | ) | const

Get size of linked Image list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedInstrumentList()

OMEModelObject::indexed_container< ome::xml::model::Instrument, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedInstrumentList | ( |  | ) | const

Get size of linked Instrument list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedLightPathList()

OMEModelObject::indexed_container< ome::xml::model::LightPath, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedLightPathList | ( |  | ) | const

Get size of linked LightPath list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedLightSourceList()

OMEModelObject::indexed_container< ome::xml::model::LightSource, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedLightSourceList | ( |  | ) | const

Get size of linked LightSource list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedObjectiveList()

OMEModelObject::indexed_container< ome::xml::model::Objective, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedObjectiveList | ( |  | ) | const

Get size of linked Objective list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedPlaneList()

OMEModelObject::indexed_container< ome::xml::model::Plane, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedPlaneList | ( |  | ) | const

Get size of linked Plane list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedPlateAcquisitionList()

OMEModelObject::indexed_container< ome::xml::model::PlateAcquisition, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedPlateAcquisitionList | ( |  | ) | const

Get size of linked PlateAcquisition list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedPlateList()

OMEModelObject::indexed_container< ome::xml::model::Plate, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedPlateList | ( |  | ) | const

Get size of linked Plate list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedProjectList()

OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedProjectList | ( |  | ) | const

Get size of linked Project list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedReagentList()

OMEModelObject::indexed_container< ome::xml::model::Reagent, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedReagentList | ( |  | ) | const

Get size of linked Reagent list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedROIList()

OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedROIList | ( |  | ) | const

Get size of linked ROI list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedScreenList()

OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedScreenList | ( |  | ) | const

Get size of linked Screen list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedShapeList()

OMEModelObject::indexed_container< ome::xml::model::Shape, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedShapeList | ( |  | ) | const

Get size of linked Shape list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedWellList()

OMEModelObject::indexed_container< ome::xml::model::Well, ome::compat::weak_ptr >::type::size_type ome::xml::model::Annotation::sizeOfLinkedWellList | ( |  | ) | const

Get size of linked Well list.

Returns
  the size of the list.

References impl.

## § unlinkAnnotation()

bool ome::xml::model::Annotation::unlinkAnnotation | ( | const ome::compat::shared_ptr< ome::xml::model::Annotation > & | annotation | ) |

Unlink Annotation.

Parameters

  annotation | the Annotation to unlink.

Returns
  `true` if the Annotation was unlinked, otherwise `false` if the Annotation was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkChannel()

bool ome::xml::model::Annotation::unlinkChannel | ( | const ome::compat::shared_ptr< ome::xml::model::Channel > & | channel_BackReference | ) |

Unlink Channel.

Parameters

  channel_BackReference | the Channel to unlink.

Returns
  `true` if the Channel was unlinked, otherwise `false` if the Channel was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkDataset()

bool ome::xml::model::Annotation::unlinkDataset | ( | const ome::compat::shared_ptr< ome::xml::model::Dataset > & | dataset_BackReference | ) |

Unlink Dataset.

Parameters

  dataset_BackReference | the Dataset to unlink.

Returns
  `true` if the Dataset was unlinked, otherwise `false` if the Dataset was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkDetector()

bool ome::xml::model::Annotation::unlinkDetector | ( | const ome::compat::shared_ptr< ome::xml::model::Detector > & | detector_BackReference | ) |

Unlink Detector.

Parameters

  detector_BackReference | the Detector to unlink.

Returns
  `true` if the Detector was unlinked, otherwise `false` if the Detector was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkDichroic()

bool ome::xml::model::Annotation::unlinkDichroic | ( | const ome::compat::shared_ptr< ome::xml::model::Dichroic > & | dichroic_BackReference | ) |

Unlink Dichroic.

Parameters

  dichroic_BackReference | the Dichroic to unlink.

Returns
  `true` if the Dichroic was unlinked, otherwise `false` if the Dichroic was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkExperimenter()

bool ome::xml::model::Annotation::unlinkExperimenter | ( | const ome::compat::shared_ptr< ome::xml::model::Experimenter > & | experimenter_BackReference | ) |

Unlink Experimenter.

Parameters

  experimenter_BackReference | the Experimenter to unlink.

Returns
  `true` if the Experimenter was unlinked, otherwise `false` if the Experimenter was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkExperimenterGroup()

bool ome::xml::model::Annotation::unlinkExperimenterGroup | ( | const ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > & | experimenterGroup_BackReference | ) |

Unlink ExperimenterGroup.

Parameters

  experimenterGroup_BackReference | the ExperimenterGroup to unlink.

Returns
  `true` if the ExperimenterGroup was unlinked, otherwise `false` if the ExperimenterGroup was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkFilter()

bool ome::xml::model::Annotation::unlinkFilter | ( | const ome::compat::shared_ptr< ome::xml::model::Filter > & | filter_BackReference | ) |

Unlink Filter.

Parameters

  filter_BackReference | the Filter to unlink.

Returns
  `true` if the Filter was unlinked, otherwise `false` if the Filter was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkFolder()

bool ome::xml::model::Annotation::unlinkFolder | ( | const ome::compat::shared_ptr< ome::xml::model::Folder > & | folder_BackReference | ) |

Unlink Folder.

Parameters

  folder_BackReference | the Folder to unlink.

Returns
  `true` if the Folder was unlinked, otherwise `false` if the Folder was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkImage()

bool ome::xml::model::Annotation::unlinkImage | ( | const ome::compat::shared_ptr< ome::xml::model::Image > & | image_BackReference | ) |

Unlink Image.

Parameters

  image_BackReference | the Image to unlink.

Returns
  `true` if the Image was unlinked, otherwise `false` if the Image was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkInstrument()

bool ome::xml::model::Annotation::unlinkInstrument | ( | const ome::compat::shared_ptr< ome::xml::model::Instrument > & | instrument_BackReference | ) |

Unlink Instrument.

Parameters

  instrument_BackReference | the Instrument to unlink.

Returns
  `true` if the Instrument was unlinked, otherwise `false` if the Instrument was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkLightPath()

bool ome::xml::model::Annotation::unlinkLightPath | ( | const ome::compat::shared_ptr< ome::xml::model::LightPath > & | lightPath_BackReference | ) |

Unlink LightPath.

Parameters

  lightPath_BackReference | the LightPath to unlink.

Returns
  `true` if the LightPath was unlinked, otherwise `false` if the LightPath was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkLightSource()

bool ome::xml::model::Annotation::unlinkLightSource | ( | const ome::compat::shared_ptr< ome::xml::model::LightSource > & | lightSource_BackReference | ) |

Unlink LightSource.

Parameters

  lightSource_BackReference | the LightSource to unlink.

Returns
  `true` if the LightSource was unlinked, otherwise `false` if the LightSource was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkObjective()

bool ome::xml::model::Annotation::unlinkObjective | ( | const ome::compat::shared_ptr< ome::xml::model::Objective > & | objective_BackReference | ) |

Unlink Objective.

Parameters

  objective_BackReference | the Objective to unlink.

Returns
  `true` if the Objective was unlinked, otherwise `false` if the Objective was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkPlane()

bool ome::xml::model::Annotation::unlinkPlane | ( | const ome::compat::shared_ptr< ome::xml::model::Plane > & | plane_BackReference | ) |

Unlink Plane.

Parameters

  plane_BackReference | the Plane to unlink.

Returns
  `true` if the Plane was unlinked, otherwise `false` if the Plane was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkPlate()

bool ome::xml::model::Annotation::unlinkPlate | ( | const ome::compat::shared_ptr< ome::xml::model::Plate > & | plate_BackReference | ) |

Unlink Plate.

Parameters

  plate_BackReference | the Plate to unlink.

Returns
  `true` if the Plate was unlinked, otherwise `false` if the Plate was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkPlateAcquisition()

bool ome::xml::model::Annotation::unlinkPlateAcquisition | ( | const ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > & | plateAcquisition_BackReference | ) |

Unlink PlateAcquisition.

Parameters

  plateAcquisition_BackReference | the PlateAcquisition to unlink.

Returns
  `true` if the PlateAcquisition was unlinked, otherwise `false` if the PlateAcquisition was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkProject()

bool ome::xml::model::Annotation::unlinkProject | ( | const ome::compat::shared_ptr< ome::xml::model::Project > & | project_BackReference | ) |

Unlink Project.

Parameters

  project_BackReference | the Project to unlink.

Returns
  `true` if the Project was unlinked, otherwise `false` if the Project was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkReagent()

bool ome::xml::model::Annotation::unlinkReagent | ( | const ome::compat::shared_ptr< ome::xml::model::Reagent > & | reagent_BackReference | ) |

Unlink Reagent.

Parameters

  reagent_BackReference | the Reagent to unlink.

Returns
  `true` if the Reagent was unlinked, otherwise `false` if the Reagent was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkROI()

bool ome::xml::model::Annotation::unlinkROI | ( | const ome::compat::shared_ptr< ome::xml::model::ROI > & | roi_BackReference | ) |

Unlink ROI.

Parameters

  roi_BackReference | the ROI to unlink.

Returns
  `true` if the ROI was unlinked, otherwise `false` if the ROI was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkScreen()

bool ome::xml::model::Annotation::unlinkScreen | ( | const ome::compat::shared_ptr< ome::xml::model::Screen > & | screen_BackReference | ) |

Unlink Screen.

Parameters

  screen_BackReference | the Screen to unlink.

Returns
  `true` if the Screen was unlinked, otherwise `false` if the Screen was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkShape()

bool ome::xml::model::Annotation::unlinkShape | ( | const ome::compat::shared_ptr< ome::xml::model::Shape > & | shape_BackReference | ) |

Unlink Shape.

Parameters

  shape_BackReference | the Shape to unlink.

Returns
  `true` if the Shape was unlinked, otherwise `false` if the Shape was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkWell()

bool ome::xml::model::Annotation::unlinkWell | ( | const ome::compat::shared_ptr< ome::xml::model::Well > & | well_BackReference | ) |

Unlink Well.

Parameters

  well_BackReference | the Well to unlink.

Returns
  `true` if the Well was unlinked, otherwise `false` if the Well was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § update()

void ome::xml::model::Annotation::update | ( | const common::xml::dom::Element & | element,
|  | ome::xml::model::OMEModel & | model
| ) |  |
| virtual

Update the object hierarchy recursively from an XML DOM tree.

Note
  No properties are removed, only added or updated.

Parameters

  element | root of the XML DOM tree to from which to construct the model object graph.
  model | handler for the OME model used to track instances and references seen during the update.

Exceptions

  EnumerationException | if there is an error instantiating an enumeration during model object creation, or ModelException if there are any consistency or validity errors found during processing.

Implements ome::xml::model::OMEModelObject.

Reimplemented in ome::xml::model::FileAnnotation, ome::xml::model::MapAnnotation, ome::xml::model::TimestampAnnotation, ome::xml::model::BooleanAnnotation, ome::xml::model::CommentAnnotation, ome::xml::model::DoubleAnnotation, ome::xml::model::ListAnnotation, ome::xml::model::LongAnnotation, ome::xml::model::TagAnnotation, ome::xml::model::TermAnnotation, ome::xml::model::XMLAnnotation, ome::xml::model::BasicAnnotation, ome::xml::model::NumericAnnotation, ome::xml::model::TextAnnotation, and ome::xml::model::TypeAnnotation.

References ome::xml::model::OMEModel::addModelObject(), ome::xml::model::OMEModel::addReference(), ome::common::xml::dom::Element::getAttribute(), ome::xml::model::detail::OMEModelObject::getChildrenByTagName(), getID(), ome::common::xml::dom::Element::getTagName(), ome::common::xml::dom::Element::hasAttribute(), ome::xml::model::detail::OMEModelObject::logger, setAnnotator(), setDescription(), setID(), setNamespace(), ome::xml::model::detail::OMEModelObject::stripNamespacePrefix(), ome::xml::model::detail::OMEModelObject::update(), and validElementName().

Referenced by ome::xml::model::BasicAnnotation::update(), ome::xml::model::TypeAnnotation::update(), ome::xml::model::TextAnnotation::update(), ome::xml::model::ListAnnotation::update(), and ome::xml::model::MapAnnotation::update().

Here is the caller graph for this function:

## § validElementName()

bool ome::xml::model::Annotation::validElementName | ( | const std::string & | name | ) | const
| virtual

Check if a given element name is valid for processing by this model object.

Used for processing nodes when interitance is involved.

Parameters

  name | the element name to check.

Returns
  `true` if valid, `false` if invalid.

Implements ome::xml::model::detail::OMEModelObject.

Reimplemented in ome::xml::model::FileAnnotation, ome::xml::model::MapAnnotation, ome::xml::model::TimestampAnnotation, ome::xml::model::BooleanAnnotation, ome::xml::model::CommentAnnotation, ome::xml::model::DoubleAnnotation, ome::xml::model::ListAnnotation, ome::xml::model::LongAnnotation, ome::xml::model::TagAnnotation, ome::xml::model::TermAnnotation, ome::xml::model::XMLAnnotation, ome::xml::model::BasicAnnotation, ome::xml::model::NumericAnnotation, ome::xml::model::TextAnnotation, and ome::xml::model::TypeAnnotation.

References ome::xml::model::detail::OMEModelObject::validElementName().

Referenced by update(), ome::xml::model::BasicAnnotation::validElementName(), ome::xml::model::TextAnnotation::validElementName(), ome::xml::model::TypeAnnotation::validElementName(), ome::xml::model::ListAnnotation::validElementName(), and ome::xml::model::MapAnnotation::validElementName().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- ome/xml/model/Annotation.h
- ome/xml/model/Annotation.cpp